#include "usgard.h"

.org 0
.db "System info, v1.0", 0

Main:
 call CLEARLCD
 ld hl,$0003
 ld ($8333),hl
 ld hl,&Title
 call D_ZM_STR
 ld hl,$3A00
 ld ($8333),hl
 ld hl,&SubTitle
 call D_ZM_STR
 push hl
 push de
 ld c,63
 ld b,0
InvertRow1:
 call FIND_PIXEL
 ld de,$FC00
 add hl,de
 xor (hl)
 ld (hl),a 
ShadeX1:
 inc b
 ld a,b
 cp 127
 jr nz,InvertRow1
ShadeY1:
 ld a,c
 cp 57
 jr z,Continue
 dec c
 ld b,0
 jr InvertRow1
Continue:
 pop de
 pop hl
 ld hl,$0800
 ld ($8333),hl
 ld hl,&Text1
 call D_ZM_STR
 ld hl,$0F00
 ld ($8333),hl
 ld hl,&Text2
 call D_ZM_STR
 ld hl,$1600
 ld ($8333),hl
 ld hl,&Text3
 call D_ZM_STR
 ld hl,$1D00
 ld ($8333),hl
 ld hl,&Text4
 call D_ZM_STR
 
GetnPrint:
 ld hl,$0864
 ld ($8333),hl
 call FREEMEM
 call DM_HL_DECI
 ld a,(ROM_VERS)
 cp $57
 jr z,ROM3
 cp $8E
 jr z,ROM4
 cp $5E
 jr z,ROM5
 cp $3D
 jr z,ROM6
 cp $97
 jr z,ROM8
 cp $91
 jr z,ROM9
 cp $35
 jr z,ROM10

ROM3:
 ld hl,3
 jr ContDisp

ROM4:
 ld hl,4
 jr ContDisp

ROM5:
 ld hl,5
 jr ContDisp

ROM6:
 ld hl,6
 jr ContDisp

ROM8:
 ld hl,8
 jr ContDisp

ROM9:
 ld hl,9
 jr ContDisp

ROM10:
 ld hl,10
 jr ContDisp

ContDisp:
 ld (TEXT_MEM),hl
 ld hl,$0F64
 ld ($8333),hl
 ld hl,(TEXT_MEM)
 call DM_HL_DECI
DisplayC:
 ld hl,$166C
 ld ($8333),hl
 ld a,($8007)
 #fncall DM_A_DEC
 ld a,(USG_BITS)
 cp $20
 jr z,VerLite
 jr VerStandard

VerLite:
 ld hl,$1D6B
 ld ($8333),hl
 ld hl,&Text6
 call D_ZM_STR
 jr WaitKey

VerStandard:
 ld hl,$1D59
 ld ($8333),hl
 ld hl,&Text7
 call D_ZM_STR
 jr WaitKey

WaitKey:
 call GET_KEY
 cp K_EXIT
 jr nz,WaitKey
 ret

Title:
 .db "System Information v1.0", 0

SubTitle:
 .db "John Orth < slorth@juno.com >", 0

Text1:
 .db "Free Memory:", 0

Text2:
 .db "ROM Version:", 0

Text3:
 .db "Current Contrast:", 0

Text4:
 .db "Usgard Version:", 0

Text6:
 .db "Lite", 0

Text7:
 .db "Standard", 0

.end
 
 
